import PropTypes from 'prop-types';
import React from 'react';
import colors from '../../../theme/js/color-variables';

export const IconSaved = ({ className }) => (
  <span className={className}>
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <g fill="none" fillRule="evenodd" stroke={colors.greenG40}>
        <circle cx="8" cy="8" r="7.5" />
        <path d="M5.341 8.616l2.146 2.113 4.027-5.211" />
      </g>
    </svg>
  </span>
);

IconSaved.propTypes = {
  className: PropTypes.string,
};

IconSaved.defaultProps = {
  className: null,
};
